Eclipse安装GMF插件

原创
2012/10/23 16:54
阅读数 4.8K

从接触GMF到现在已经一年多,不过这一年多的时间只有几个月的时间用过,剩下的时间都在做别的。当时用的Eclipse是导师给的3.6版本,已经装好GMF插件,挺好用的。之后自己试着自己在Eclipse 3.7中安装GMF插件,都以失败告终。貌似需要装的插件实在是太多了,它们之间有着各种依赖,先装哪个都不行。

现在,由于种种原因,需要将GMF拾起来,当然首先要给Eclipse安装GMF插件,终于找到了可行的办法,原来问题在于下载的Eclipse,应当选择RCP版本的。

在这里记录下来,以备以后查看。具体步骤如下:

1、登录http://www.eclipse.org/downloads/下载Eclipse(可以在http://www.eclipse.org/downloads/packages/选择你想要的版本)。注意,这里选择“Eclipse for RCP and RAP Developers”:

2、下载完成后,解压,运行Eclipse.exe,在菜单项依次选择 Help——Install New Software。在打开的窗口中,在Work with中选择 --All Available Sites--,回车,在下面的列表中找到Modeling,在其中勾选GMF相关项,这里只选择了以“Graphical Modeling Framework”开头的条目,如下图:

3、单击Next,在新页面单击Next,在新页面选择I accept,之后点击Finish:

5、开始安装:

6、完成后,按照提示重启Eclipse:

7、重启Eclipse后,依次选择 File——New——Other,在窗口中可以看到如下条目:

则说明安装成功。

之前试了很多次都没成功,原来是下载的Eclipse版本的问题,之前都是下载Classic版的,这样很多插件还要自己装。

上面下载的版本甚至连Window Builder插件都装好了。

双子座@开源中国 


展开阅读全文
打赏
0
6 收藏
分享
加载中
更多评论
打赏
0 评论
6 收藏
0
分享
返回顶部
顶部